Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Class SecuritySpiException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.security.spi.SecuritySpiException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Direct Known Subclasses:
  ApplicationRemovalException, ApplicationVersionCreationException, ApplicationVersionRemovalException, DeployHandleCreationException, ProviderDecisionException, ResourceCreationException, ResourceNotFoundException, ResourceRemovalException, RoleCreationException, RoleNotFoundException, RoleRemovalException

public class SecuritySpiException
extends weblogic.utils.NestedException

The `SecuritySpiException` exception is the base interface implemented by all security provider exceptions.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`SecuritySpiException()` Constructs a `SecuritySpiException` with no arguments.
`SecuritySpiException(String msg)` Constructs a `SecuritySpiException` with the specified detail message.
`SecuritySpiException(String msg, Throwable nested)` Constructs a `SecuritySpiException` with a detail message and a nested exception.
`SecuritySpiException(Throwable nested)` Constructs a `SecuritySpiException` with a nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecuritySpiException

    public SecuritySpiException()

  Constructs a `SecuritySpiException` with no arguments.

### SecuritySpiException

    public SecuritySpiException(String msg)

  Constructs a `SecuritySpiException` with the specified detail message. A detail message is a String that describes this particular exception.

### SecuritySpiException

    public SecuritySpiException(String msg,
                                Throwable nested)

  Constructs a `SecuritySpiException` with a detail message and a nested exception.

### SecuritySpiException

    public SecuritySpiException(Throwable nested)

  Constructs a `SecuritySpiException` with a nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD